---
title: "rclone completion fish"
description: "Generate the autocompletion script for fish"
slug: rclone_completion_fish
url: /commands/rclone_completion_fish/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/completion/fish/ and as part of making a release run "make commanddocs"
---
# rclone completion fish

Generate the autocompletion script for fish

## Synopsis

Generate the autocompletion script for the fish shell.

To load completions in your current shell session:

	rclone completion fish | source

To load completions for every new session, execute once:

	rclone completion fish > ~/.config/fish/completions/rclone.fish

You will need to start a new shell for this setup to take effect.


```
rclone completion fish [flags]
```

## Options

```
  -h, --help              help for fish
      --no-descriptions   disable completion descriptions
```

See the [global flags page](/flags/) for global options not listed here.

## SEE ALSO

* [rclone completion](/commands/rclone_completion/)	 - Generate the autocompletion script for the specified shell

